Subject: RE: Multicasting between different subnets.

From: Tómas Gunnarsson <[email-masked]>
Date: Mon, 18 May 1998 11:09:37 -0000

Hi, I too have been writing multicast applications for Windows NT, and
untill now I've been using

setsockopt(hSocket, IPPROTO_IP, IP_ADD_MEMBERSHIP, (char *) &mreq,
sizeof(struct ip_mreq);

to join a socket to a multicast session, however I recently experienced
some problems with that.
Now I'm using 

hMulticastSock = WSAJoinLeaf(hSocket, (PSOCKADDR)&stDestAddr,
sizeof(stDestAddr), NULL, NULL, NULL, NULL, JL_BOTH);

to join the multicast session.  When I started using this method,
everything worked fine.  I guess it has something to do with how IGMP is
handled.  Note: the join operation is not necessarily complete right
after the call is made, you'll have to wait for FD_CONNECT.

hope this helps,
Tomas Gunnarsson

> -----Original Message-----
> From:	Diego Daniel Sosa [SMTP:[email-masked]]
> Sent:	Tuesday, May 12, 1998 4:26 PM
> To:	[email-masked]
> Subject:	Multicasting between different subnets.
> 
> Dear Srs,
> 
> I'm a developer for educational applications on the web.  I've just
> finished developing an app. for multicasting on a virtual classroom,
> but:
> 
> I send data (via Sockets)  to an IP-multicast (class D) address and
> effectively it resends info to the participants in the multicast
> session, but only to the ones in the same subnet addresses, (i.e.
> 157.15.15.xxx); and when I tried connecting from another subnet (i.e.
> 157.15.16.xxx) to the same multicast address,  my app. could not
> receive
> data sent from different subnet users.
> 
> Does anyone know how to transmit data via different subnets and even
> different gateways without using tunneling in the process??
> 
> Sincerely yours,
> ------------------------
> Diego Daniel Sosa
> ITEC - Telecom, Col
> ------------------------